Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/builder.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,6 +1,20 @@
-/** \file builder.cpp
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+ /** \file builder.cpp
  *
  *  date: Jan 1, 2007
  *  author: heber
+ *
+ */
+
+/*! \page Copyright notice
+ *
+ *  MoleCuilder - to create and alter molecular systems
+ *  Copyright (C) 2010  University Bonn. All rights reserved.
  *
  */
@@ -54,4 +68,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -59,5 +78,5 @@
 #include "CommandLineParser.hpp"
 #include "config.hpp"
-#include "log.hpp"
+#include "Helpers/Log.hpp"
 #include "molecule.hpp"
 #include "periodentafel.hpp"
@@ -72,5 +91,5 @@
 #include "UIElements/Dialog.hpp"
 #include "Menu/ActionMenuItem.hpp"
-#include "verbose.hpp"
+#include "Helpers/Verbose.hpp"
 #include "World.hpp"
 
@@ -110,8 +129,14 @@
 }
 
+void dumpMemory(){
+  ofstream ost("molecuilder.memdump");
+  Memory::dumpMemory(ost);
+}
+
 int main(int argc, char **argv)
 {
   // while we are non interactive, we want to abort from asserts
-  //ASSERT_DO(Assert::Abort);
+  ASSERT_DO(Assert::Abort);
+  ASSERT_HOOK(dumpMemory);
   string line;
   char **Arguments = NULL;
@@ -121,13 +146,14 @@
   std::string BondGraphFileName("\n");
 
-  // print version check whether arguments are present at all
-  cout << ESPACKVersion << endl;
+  // print version check and copyright notice
+  cout << MOLECUILDERVERSION << endl;
+  cout << "MoleCuilder comes with ABSOLUTELY NO WARRANTY; for details type" << endl;
+  cout << "`molecuilder --help-warranty'." << endl;
+  cout << "`MoleCuilder - to create and alter molecular systems." << endl;
+  cout << "Copyright (C) 2010  University Bonn. All rights reserved." << endl;
 
   setVerbosity(0);
   // need to init the history before any action is created
   ActionHistory::init();
-
-  // In the interactive mode, we can leave the user the choice in case of error
-  ASSERT_DO(Assert::Ask);
 
   // from this moment on, we need to be sure to deeinitialize in the correct order
@@ -155,4 +181,6 @@
       UIFactory::makeUserInterface("CommandLine");
     } else {
+      // In the interactive mode, we can leave the user the choice in case of error
+      ASSERT_DO(Assert::Ask);
       #ifdef USE_GUI_QT
         DoLog(0) && (Log() << Verbose(0) << "Setting UI to QT4." << endl);
@@ -161,5 +189,5 @@
       #else
         DoLog(0) && (Log() << Verbose(0) << "Setting UI to Text." << endl);
-        cout << ESPACKVersion << endl;
+        cout << MOLECUILDERVERSION << endl;
         UIFactory::registerFactory(new TextUIFactory::description());
         UIFactory::makeUserInterface("Text");
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/config.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file config.cpp
  *
@@ -5,4 +12,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -10,4 +22,5 @@
 #include <cstring>
 
+//#include "Actions/FragmentationAction/SubgraphDissectionAction.hpp"
 #include "atom.hpp"
 #include "bond.hpp"
@@ -16,9 +29,9 @@
 #include "ConfigFileBuffer.hpp"
 #include "element.hpp"
-#include "helpers.hpp"
-#include "info.hpp"
+#include "Helpers/helpers.hpp"
+#include "Helpers/Info.hpp"
 #include "lists.hpp"
-#include "verbose.hpp"
-#include "log.hpp"
+#include "Helpers/Verbose.hpp"
+#include "Helpers/Log.hpp"
 #include "molecule.hpp"
 #include "molecule.hpp"
@@ -26,5 +39,5 @@
 #include "ThermoStatContainer.hpp"
 #include "World.hpp"
-#include "Matrix.hpp"
+#include "LinearAlgebra/Matrix.hpp"
 #include "Box.hpp"
 
@@ -33,11 +46,65 @@
 /** Constructor for config file class.
  */
-config::config() : BG(NULL), Thermostats(0), PsiType(0), MaxPsiDouble(0), PsiMaxNoUp(0), PsiMaxNoDown(0), MaxMinStopStep(1), InitMaxMinStopStep(1), ProcPEGamma(8), ProcPEPsi(1),
-    configname(NULL), FastParsing(false), Deltat(0.01), basis(""), databasepath(NULL), DoConstrainedMD(0), MaxOuterStep(0), mainname(NULL), defaultpath(NULL), pseudopotpath(NULL),
-    DoOutVis(0), DoOutMes(1), DoOutNICS(0), DoOutOrbitals(0), DoOutCurrent(0), DoFullCurrent(0), DoPerturbation(0), DoWannier(0), CommonWannier(0), SawtoothStart(0.01),
-    VectorPlane(0), VectorCut(0.), UseAddGramSch(1), Seed(1), OutVisStep(10), OutSrcStep(5), MaxPsiStep(0), EpsWannier(1e-7), MaxMinStep(100), RelEpsTotalEnergy(1e-7),
-    RelEpsKineticEnergy(1e-5), MaxMinGapStopStep(0), MaxInitMinStep(100), InitRelEpsTotalEnergy(1e-5), InitRelEpsKineticEnergy(1e-4), InitMaxMinGapStopStep(0), ECut(128.),
-    MaxLevel(5), RiemannTensor(0), LevRFactor(0), RiemannLevel(0), Lev0Factor(2), RTActualUse(0), AddPsis(0), RCut(20.), StructOpt(0), IsAngstroem(1), RelativeCoord(0),
-    MaxTypes(0) {
+config::config() :
+  BG(NULL),
+  Thermostats(0),
+  PsiType(0),
+  MaxPsiDouble(0),
+  PsiMaxNoUp(0),
+  PsiMaxNoDown(0),
+  MaxMinStopStep(1),
+  InitMaxMinStopStep(1),
+  ProcPEGamma(8),
+  ProcPEPsi(1),
+  configname(NULL),
+  FastParsing(false),
+  Deltat(0.01),
+  basis(""),
+  databasepath(NULL),
+  DoConstrainedMD(0),
+  MaxOuterStep(0),
+  mainname(NULL),
+  defaultpath(NULL),
+  pseudopotpath(NULL),
+  DoOutVis(0),
+  DoOutMes(1),
+  DoOutNICS(0),
+  DoOutOrbitals(0),
+  DoOutCurrent(0),
+  DoFullCurrent(0),
+  DoPerturbation(0),
+  DoWannier(0),
+  CommonWannier(0),
+  SawtoothStart(0.01),
+  VectorPlane(0),
+  VectorCut(0.),
+  UseAddGramSch(1),
+  Seed(1),
+  OutVisStep(10),
+  OutSrcStep(5),
+  MaxPsiStep(0),
+  EpsWannier(1e-7),
+  MaxMinStep(100),
+  RelEpsTotalEnergy(1e-7),
+  RelEpsKineticEnergy(1e-5),
+  MaxMinGapStopStep(0),
+  MaxInitMinStep(100),
+  InitRelEpsTotalEnergy(1e-5),
+  InitRelEpsKineticEnergy(1e-4),
+  InitMaxMinGapStopStep(0),
+  ECut(128.),
+  MaxLevel(5),
+  RiemannTensor(0),
+  LevRFactor(0),
+  RiemannLevel(0),
+  Lev0Factor(2),
+  RTActualUse(0),
+  AddPsis(0),
+  RCut(20.),
+  StructOpt(0),
+  IsAngstroem(1),
+  RelativeCoord(0),
+  MaxTypes(0)
+{
   mainname = new char[MAXSTRINGSIZE];
   defaultpath = new char[MAXSTRINGSIZE];
@@ -417,5 +484,5 @@
       ParseForParameter(verbose,FileBuffer, name, 0, 2, 1, int_type, &Z, 1, critical);
       elementhash[i] = periode->FindElement(Z);
-      DoLog(1) && (Log() << Verbose(1) << i << ". Z = " << elementhash[i]->Z << " with " << No[i] << " ions." << endl);
+      DoLog(1) && (Log() << Verbose(1) << i << ". Z = " << elementhash[i]->getAtomicNumber() << " with " << No[i] << " ions." << endl);
       NoAtoms += No[i];
     }
@@ -439,4 +506,5 @@
     map<int, atom *> LinearList;
     atom *neues = NULL;
+    Vector position;
     if (!FastParsing) {
       // parse in trajectories
@@ -452,13 +520,15 @@
               AtomList[i][j] = neues;
               LinearList[ FileBuffer->LineMapping[FileBuffer->CurrentLine] ] = neues;
-              neues->type = elementhash[i]; // find element type
+              neues->setType(elementhash[i]); // find element type
             } else
               neues = AtomList[i][j];
             status = (status &&
-                    ParseForParameter(verbose,FileBuffer, keyword, 0, 1, 1, double_type, &neues->x[0], 1, (repetition == 0) ? critical : optional) &&
-                    ParseForParameter(verbose,FileBuffer, keyword, 0, 2, 1, double_type, &neues->x[1], 1, (repetition == 0) ? critical : optional) &&
-                    ParseForParameter(verbose,FileBuffer, keyword, 0, 3, 1, double_type, &neues->x[2], 1, (repetition == 0) ? critical : optional) &&
+                    ParseForParameter(verbose,FileBuffer, keyword, 0, 1, 1, double_type, &position[0], 1, (repetition == 0) ? critical : optional) &&
+                    ParseForParameter(verbose,FileBuffer, keyword, 0, 2, 1, double_type, &position[1], 1, (repetition == 0) ? critical : optional) &&
+                    ParseForParameter(verbose,FileBuffer, keyword, 0, 3, 1, double_type, &position[2], 1, (repetition == 0) ? critical : optional) &&
                     ParseForParameter(verbose,FileBuffer, keyword, 0, 4, 1, int_type, &neues->FixedIon, 1, (repetition == 0) ? critical : optional));
-            if (!status) break;
+            if (!status)
+              break;
+            neues ->setPosition(position);
 
             // check size of vectors
@@ -472,15 +542,15 @@
             // put into trajectories list
             for (int d=0;d<NDIM;d++)
-              neues->Trajectory.R.at(repetition)[d] = neues->x[d];
+              neues->Trajectory.R.at(repetition)[d] = neues->at(d);
 
             // parse velocities if present
-            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 5, 1, double_type, &neues->v[0], 1,optional))
-              neues->v[0] = 0.;
-            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 6, 1, double_type, &neues->v[1], 1,optional))
-              neues->v[1] = 0.;
-            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 7, 1, double_type, &neues->v[2], 1,optional))
-              neues->v[2] = 0.;
+            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 5, 1, double_type, &neues->AtomicVelocity[0], 1,optional))
+              neues->AtomicVelocity[0] = 0.;
+            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 6, 1, double_type, &neues->AtomicVelocity[1], 1,optional))
+              neues->AtomicVelocity[1] = 0.;
+            if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 7, 1, double_type, &neues->AtomicVelocity[2], 1,optional))
+              neues->AtomicVelocity[2] = 0.;
             for (int d=0;d<NDIM;d++)
-              neues->Trajectory.U.at(repetition)[d] = neues->v[d];
+              neues->Trajectory.U.at(repetition)[d] = neues->AtomicVelocity[d];
 
             // parse forces if present
@@ -531,20 +601,21 @@
             AtomList[i][j] = neues;
             LinearList[ FileBuffer->LineMapping[FileBuffer->CurrentLine] ] = neues;
-            neues->type = elementhash[i]; // find element type
+            neues->setType(elementhash[i]); // find element type
           } else
             neues = AtomList[i][j];
           // then parse for each atom the coordinates as often as present
-          ParseForParameter(verbose,FileBuffer, keyword, 0, 1, 1, double_type, &neues->x[0], repetition,critical);
-          ParseForParameter(verbose,FileBuffer, keyword, 0, 2, 1, double_type, &neues->x[1], repetition,critical);
-          ParseForParameter(verbose,FileBuffer, keyword, 0, 3, 1, double_type, &neues->x[2], repetition,critical);
+          ParseForParameter(verbose,FileBuffer, keyword, 0, 1, 1, double_type, &position[0], repetition,critical);
+          ParseForParameter(verbose,FileBuffer, keyword, 0, 2, 1, double_type, &position[1], repetition,critical);
+          ParseForParameter(verbose,FileBuffer, keyword, 0, 3, 1, double_type, &position[2], repetition,critical);
+          neues->setPosition(position);
           ParseForParameter(verbose,FileBuffer, keyword, 0, 4, 1, int_type, &neues->FixedIon, repetition,critical);
-          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 5, 1, double_type, &neues->v[0], repetition,optional))
-            neues->v[0] = 0.;
-          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 6, 1, double_type, &neues->v[1], repetition,optional))
-            neues->v[1] = 0.;
-          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 7, 1, double_type, &neues->v[2], repetition,optional))
-            neues->v[2] = 0.;
+          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 5, 1, double_type, &neues->AtomicVelocity[0], repetition,optional))
+            neues->AtomicVelocity[0] = 0.;
+          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 6, 1, double_type, &neues->AtomicVelocity[1], repetition,optional))
+            neues->AtomicVelocity[1] = 0.;
+          if(!ParseForParameter(verbose,FileBuffer, keyword, 0, 7, 1, double_type, &neues->AtomicVelocity[2], repetition,optional))
+            neues->AtomicVelocity[2] = 0.;
           // here we don't care if forces are present (last in trajectories is always equal to current position)
-          neues->type = elementhash[i]; // find element type
+          neues->setType(elementhash[i]); // find element type
           mol->AddAtom(neues);
         }
